uses linux;

const
  workfile = 'junk';	(* задать имя рабочего файла *)

var
  filedes:integer;
begin
  (* Открыть, используя постоянную Open_RDWR из модуля linux *)
  (* Файл открывается для чтения/записи *)
  filedes := fdopen (workfile, Open_RDWR);
  if filedes = -1 then
  begin
    writeln('Невозможно открыть файл ', workfile);
    halt(1);			(* выход по ошибке *)
  end;
  writeln('Файл ', workfile, ' успешно открыт, дескриптор равен ',filedes);
  (*
   * Остальная программа
   *)
  halt(0);			(* нормальный выход *)
end.
